View Issue Details

IDProjectCategoryView StatusLast Update
0033811LazarusLCLpublic2020-04-19 00:31
ReporterEric Heijnen Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionreopened 
Platformx86_64OSWindows 
Product Version1.9 (SVN) 
Target Version1.10Fixed in Version2.2 
Summary0033811: Listview: DragMode dmAutomatic does not function with Multiselect enabled
DescriptionWhen dragmode is set to dmAutomatic and MultiSelect is true, the drag operation will not initiate.
Steps To ReproduceSee the example project.
Try to drag one or more items
Additional Information(in 1.8.4 the drag would initiate but would not end up not releasing the drag operation, so this is at least an improvement)
TagsNo tags attached.
Fixed in Revision63012,63013
LazTarget2.2
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0033330 closedMichl Packages Mouse events do not fire properly when MultiSelect = True on TListView of win32/64 
related to 0027189 closedJuha Manninen Lazarus TListView OnMouseUp called twice 
related to 0033735 closedMichl Lazarus Double click on entry in call stack window opens popup 
related to 0033746 closedMichl Lazarus ListView PopupMenu shown twice 
related to 0035362 resolvedMartin Friebe Lazarus ListView with MultiSelect incorrectly deselects items on MouseDown 

Activities

Eric Heijnen

2018-05-31 15:27

reporter  

lv3.zip (2,186 bytes)

Michl

2018-06-02 23:36

developer   ~0108659

Fixed in trunk revision 58092. Please test and close if ok.

Michl

2018-06-02 23:54

developer  

test.zip (3,082 bytes)

Eric Heijnen

2018-06-05 20:46

reporter   ~0108710

works correctly

Juha Manninen

2019-04-12 14:58

developer   ~0115444

Apparently this created a regression. See the related 0035362.

Martin Friebe

2020-04-19 00:30

manager   ~0122237

@scribly The Listview mouse event handling code has been reworked (again) for more fixes.

Please test again with revision 63012.

See note 0035362:0122233 on issue 0035362

Issue History

Date Modified Username Field Change
2018-05-31 15:27 Eric Heijnen New Issue
2018-05-31 15:27 Eric Heijnen File Added: lv3.zip
2018-05-31 20:02 Michl Assigned To => Michl
2018-05-31 20:02 Michl Status new => assigned
2018-05-31 20:19 Michl Relationship added related to 0033330
2018-05-31 20:20 Michl Relationship added related to 0027189
2018-06-02 23:30 Michl Relationship added related to 0033735
2018-06-02 23:30 Michl Relationship added related to 0033746
2018-06-02 23:33 Michl File Added: test.zip
2018-06-02 23:36 Michl Fixed in Revision => 58092
2018-06-02 23:36 Michl LazTarget => -
2018-06-02 23:36 Michl Note Added: 0108659
2018-06-02 23:36 Michl Status assigned => resolved
2018-06-02 23:36 Michl Fixed in Version => 1.9 (SVN)
2018-06-02 23:36 Michl Resolution open => fixed
2018-06-02 23:36 Michl Target Version => 1.10
2018-06-02 23:54 Michl File Deleted: test.zip
2018-06-02 23:54 Michl File Added: test.zip
2018-06-05 20:46 Eric Heijnen Note Added: 0108710
2018-06-05 20:46 Eric Heijnen Status resolved => closed
2019-04-12 14:56 Juha Manninen Relationship added related to 0035362
2019-04-12 14:58 Juha Manninen Note Added: 0115444
2019-04-12 14:58 Juha Manninen Status closed => assigned
2019-04-12 14:58 Juha Manninen Resolution fixed => reopened
2020-04-19 00:29 Martin Friebe Assigned To Michl => Martin Friebe
2020-04-19 00:30 Martin Friebe Note Added: 0122237
2020-04-19 00:31 Martin Friebe Status assigned => resolved
2020-04-19 00:31 Martin Friebe Fixed in Version 1.9 (SVN) => 2.2
2020-04-19 00:31 Martin Friebe Fixed in Revision 58092 => 63012,63013
2020-04-19 00:31 Martin Friebe LazTarget - => 2.2
2020-04-19 00:31 Martin Friebe Widgetset Win32/Win64 => Win32/Win64